import { createApp, defineComponent } from 'vue-demi'

import Receiver from './components/Receiver'
import SlotTester from './SlotTester.vue';
const App = defineComponent({
    setup(){
        return (h)=>(<Receiver parent-id={1}></Receiver>)
    }
})

const app = createApp(App);
app.component('slot-tester', SlotTester);
app.component('test-parent',defineComponent({
    props:{
        message:{
            type:String,
            default:()=>'empty'
        }
    },
    setup(props, { slots, emit }) {
        return (h) => (<div>{props.message} <button onClick={() => emit('callback', 'payload-test')}>测试</button> {slots.default?.()}</div>)
    }
}))
app.component('test-child',defineComponent({
    setup(){
        return (h)=>(<div>test-child</div>)
    }
}))
app.mount('#app')
