export interface InvokerItem {
    /** 组件的标签或是Component对象 */
    tag: string | object,
    /** 组件数据对象，包含attr, props, class, style, 事件等对象 */
    data: Record<string, any> | null,
    /** 子节点和插槽 */
    children: string | Array<InvokerItem> | Record<string, Function>
}