import { createApp, Vue2 } from 'vue-demi'
import App from './App.vue'
import { ConfigureModPage } from './modPageConfig'

ConfigureModPage({
    Invoker: {
        GetModUrl: (modName, invokerId, invokerKey) => {
            const query: Record<string, string> = {
                id: invokerId,
                key: invokerKey
            };
            const searchParam = new URLSearchParams(query);
            return `/child.html#/?${searchParam.toString()}`
        }
    }
})

const app = createApp(App)
app.mount('#app')
