import { DefineComponent } from "vue";
import { Vue2Instance } from "./Vue2Instance";

export type ModContext = {
    /** 渲染版本号 */
    get renderVersion(): number;
    /** 强制组件进行更新 */
    Update(): void;
    get refs(): {
        [key: string]:
          | Vue2Instance
          | DefineComponent
          | Element
          | undefined
      }
}